export { telefunc } from './server/telefunc.js';
import { config } from './server/serverConfig.js';
export { config };
export { config as telefuncConfig };
export { getContext, provideTelefuncContext } from './server/getContext.js';
export { Abort } from './server/Abort.js';
export { shield } from './server/shield.js';
export { onBug } from './server/runTelefunc/onBug.js';
export { decorateTelefunction as __decorateTelefunction } from './server/runTelefunc/decorateTelefunction.js';
import { assertUsage } from './utils.js';
assertServerSide();
function assertServerSide() {
    var _a;
    const isBrowser = typeof window !== 'undefined' && 'innerHTML' in (((_a = window === null || window === void 0 ? void 0 : window.document) === null || _a === void 0 ? void 0 : _a.body) || {});
    assertUsage(!isBrowser, [
        'You are loading the `telefunc` module in the browser, but',
        'the `telefunc` module can only be imported in Node.js.',
    ].join(' '));
}
