export { executeTelefunction };
import { Telefunc } from '../getContext.js';
import type { Telefunction } from '../types.js';
declare function executeTelefunction(runContext: {
    telefunction: Telefunction;
    telefunctionName: string;
    telefuncFilePath: string;
    telefunctionArgs: unknown[];
    providedContext: Telefunc.Context | null;
}): Promise<{
    telefunctionReturn: unknown;
    telefunctionAborted: boolean;
    telefunctionHasErrored: boolean;
    telefunctionError: unknown;
}>;
