export { telefunc };
import { HttpResponse } from './runTelefunc.js';
import { Telefunc } from './getContext.js';
/** Get HTTP Response for a telefunction remote call HTTP Request.
 * @returns HTTP Response
 */
declare function telefunc(httpRequest: {
    /** The URL of the HTTP Request */
    url: string;
    /** The method of the HTTP Request ('GET', 'POST', ...) */
    method: string;
    /** The body of HTTP Request */
    body: string;
    /** The context object, see https://telefunc.com/getContext  */
    context?: Telefunc.Context;
}): Promise<HttpResponse>;
