var _a;
export { importGlobOff };
export { importGlobOn };
import { writeFileSync } from 'node:fs';
import { scriptFileExtensions, toPosixPath } from '../utils.js';
import { createRequire } from 'node:module';
const require_ = createRequire(import.meta.url);
const telefuncFilesGlobFilePath = toPosixPath(require_.resolve('./telefuncFilesGlob.js'));
(_a = globalThis._telefunc) !== null && _a !== void 0 ? _a : (globalThis._telefunc = {});
globalThis._telefunc.telefuncFilesGlobFilePath = telefuncFilesGlobFilePath;
const importGlob = `import.meta.glob("/**/*.telefunc.${scriptFileExtensions}")`;
function importGlobOff() {
    writeFileSync(telefuncFilesGlobFilePath, ['exports.importGlobOff = true', ''].join('\n'));
}
function importGlobOn() {
    writeFileSync(telefuncFilesGlobFilePath, 
    // prettier-ignore
    [
        `export const telefuncFilesGlob = ${importGlob};`,
        // 'console.log("`.telefunc.js` files", Object.keys(telefuncFilesGlob))',
        '',
    ].join('\n'));
}
