export { buildConfig };
import { determineOutDir } from '../getOutDirs.js';
function buildConfig() {
    let config;
    return {
        name: 'telefunc:buildConfig',
        apply: 'build',
        enforce: 'post',
        configResolved(config_) {
            config = config_;
            setOutDir(config);
        },
    };
}
function setOutDir(config) {
    const outDir = determineOutDir(config);
    if (outDir)
        config.build.outDir = outDir;
}
