export { assertManifest };
import { assertUsage, projectInfo, assert, hasProp, checkType } from '../../utils.js';
function assertManifest(manifest) {
    assert(hasProp(manifest, 'version', 'string'));
    assertUsage(manifest.version === projectInfo.projectVersion, `Re-build your app. (You are using \`telefunc@${projectInfo.projectVersion}\` while your build has been generated with a different version \`telefunc@${manifest.version}\`.)`);
    assert(hasProp(manifest, 'config', 'object'));
    checkType(manifest);
}
