export type { Loader };
export type { Compiler };
type Loader = {
    _compiler: Compiler;
    resource: string;
    mode: 'production' | 'development';
    async: () => void;
    callback: (err: Error | null, content: string | Buffer, sourceMap?: SourceMap, meta?: any) => void;
};
type SourceMap = {
    mappings: string;
};
type Compiler = {
    name: string;
    context: string;
    hooks: any;
};
