export { assertTelefunction };
import { assertUsage, isCallable } from '../../utils.js';
import pc from '@brillout/picocolors';
function assertTelefunction(exportValue, exportName, telefuncFilePath) {
    assertUsage(isCallable(exportValue), `${pc.code(`export { ${exportName} }`)} of ${pc.bold(telefuncFilePath)} should be a function`);
}
