export { getTelefuncManifest };
import { config } from '../../../server/serverConfig.js';
import { projectInfo } from '../../utils.js';
import { assertManifest } from './assertManifest.js';
function getTelefuncManifest() {
    const manifest = {
        version: projectInfo.projectVersion,
        config,
    };
    assertManifest(manifest);
    return manifest;
}
